#
# spec file for package libgnomecanvas (Version 2.20.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common grep groff gtk-doc gtk2 gtk2-devel gzip hicolor-icon-theme indent info insserv intltool iso_ent less libacl libart_lgpl libart_lgpl-devel libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgcrypt libglade2 libglade2-devel libgomp42 libgpg-error libjpeg libjpeg-devel libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openjade opensp openssl-certs pam pam-modules pango pango-devel patch perl perl-XML-Parser perl-base permissions pkg-config popt rpm sed sgml-skel sysvinit tar texinfo timezone update-desktop-files util-linux xmlcharent xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libgnomecanvas
BuildRequires:  fdupes gail-devel gnome-common gtk-doc indent intltool iso_ent libart_lgpl-devel libglade2-devel libtiff-devel perl-XML-Parser sgml-skel update-desktop-files xmlcharent
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Version:        2.20.0
Release:        4.2
Summary:        An Add-On for the GNOME User Interface Libraries
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.20/%{name}-%{version}.tar.bz2
Patch1:         libgnomecanvas-no-tearing.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}

%description
Libgnomecanvas is a graphical add-on for the GNOME User Interface
libraries.



Authors:
--------
    Anders Carlsson  <andersca@gnu.org>
    Malcolm Tredinnick <malcolm@commsecure.com.au>
    jacob berkman  <jacob@ximian.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} libart_lgpl-devel gail-devel gtk2-devel pango-devel glib2-devel glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Anders Carlsson  <andersca@gnu.org>
    jacob berkman  <jacob@ximian.com>
    Malcolm Tredinnick <malcolm@commsecure.com.au>

%package doc
Summary:        Additional Package Documentation
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Anders Carlsson  <andersca@gnu.org>
    Malcolm Tredinnick <malcolm@commsecure.com.au>
    jacob berkman  <jacob@ximian.com>

%lang_package
%prep
%setup -q
%patch1 -p1

%build
autoreconf -f -i
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}-2.0
rm $RPM_BUILD_ROOT/%{_libdir}/*/*/*.*a
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README NEWS ChangeLog
%{_libdir}/*.so.*
%{_libdir}/libglade/2.0/*.so

%files lang -f %{name}-2.0.lang

%files devel
%defattr(-,root,root)
%{_includedir}/libgnomecanvas-2.0
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/libgnomecanvas-2.0.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libgnomecanvas
%changelog
* Mon Nov 05 2007 - federico@novell.com
- Updated libgnomecanvas-no-tearing.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=336941 - the canvas
  would repaint incorrectly when zoomed out.  The bug was primarily
  visible in the Xournal program.
* Tue Sep 18 2007 - sbrabec@suse.cz
- Updated to version 2.20.0:
  * stable version number
* Wed Aug 29 2007 - maw@suse.de
- Update to version 2.19.2:
  + Don't store the focused item in the data section of the canvas
  widget, but in a GObject property of it
  + Updated Finnish translation.
* Sat Aug 25 2007 - aj@suse.de
- Fix build.
* Wed Aug 22 2007 - federico@novell.com
- Added libgnomecanvas-no-tearing.diff.  This eliminates tearing when repainting, for a smoother ride.
* Tue Aug 07 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Tue Jul 31 2007 - maw@suse.de
- Update to version 2.19.1
- Bug fixes: libgnomecanvas-2.0.pc no longer refers to nonexistent
  gail-1.0.pc, and gailcanvas has been merged into gnomecanvas
- Updated translations
- Buildrequire intltool and gail-devel (note that gail 1.19.6 or
  higher is required)
- The -devel subpackage now requires gail-devel.
* Wed Feb 07 2007 - sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Wed Dec 13 2006 - sbrabec@suse.cz
- Spec file cleanup.
* Wed Dec 13 2006 - maw@suse.de
- Move to /usr.
* Sat Jul 22 2006 - gekker@suse.de
- Update to version 2.14.0
  - Updated and new translations:
- update to libgnomecanvas 2.13.0
  - Bug fixes:
    - Correctly reset item_list_end when moving the last
  item in the list. Fixes bug #323850. (Federico, Denis Auroux)
    - Remove a bunch of cruft and compiler warnings (Kjartan)
    - Add g_object_notify() call to allow users to connect to
  the notify::parent signal. Closes bug #320791. (Sven Herzberg)
    - Use BILINEAR interpolation instead of HYPER which is
  "a slow buggy piece of shit". (Federico)
    - Cast GNOME_CANVAS_COLOR macros to use unsigned ints so that
  shifting left 24 bits won't overflow into the sign bit.
  Fixes bug #317718. (Danek Duvall)
    - Correctly calculate width_in_pixels and height_in_pixels
  in gnome-canvas-pixbuf.c. (Hans de Graaff)
  - Docs:
    - Add API docs for gnome-canvas-rich-text.c (Dinoop Thomas)
  - Translation updates.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 16 2005 - jpr@suse.de
- Work around compiler bug for now (#132010)
* Fri Oct 07 2005 - federico@novell.com
- Added libgnomecanvas-pixbuf-bilinear-interpolation.diff to replace
  HYPER interpolation with the much faster and non-buggy BILINEAR.
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Wed Aug 31 2005 - gekker@suse.de
- Fix requires in devel subpackage (113465)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.2
* Tue Aug 02 2005 - ro@suse.de
- use gtk2-devel-packages in nfb
* Mon Jun 27 2005 - sbrabec@suse.cz
- Updated to version 2.11.1.
- Removed unneeded static modules and .la files for modules.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Wed Mar 02 2005 - gekker@suse.de
- Update to version 2.9.2
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 2.9.1
* Mon Nov 22 2004 - gekker@suse.de
- Update version to 2.8.0
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Wed Oct 13 2004 - sbrabec@suse.cz
- Added libgcrypt libgpg-error to neededforbuild.
* Wed Sep 22 2004 - sbrabec@suse.cz
- Fixed empty documentation.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Directory packaging and prefix clash fix.
* Mon Jun 02 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Sun Jun 01 2003 - ro@suse.de
- include static lib in devel subpackage
- remove unpackaged files from buildroot
* Thu May 22 2003 - sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26877)
* Thu Feb 06 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Thu Jan 16 2003 - hhetter@suse.de
- updated to version 2.1.90
* Wed Jan 15 2003 - ro@suse.de
- added expat to neededforbuild
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.5 [GNOME 2.0.3]
* Thu Oct 24 2002 - hhetter@suse.de
- updated to version 2.0.4
- use "-c" with automake (Bug Id #21066)
* Thu Aug 15 2002 - hhetter@suse.de
- branch doc package
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 2.0.2
* Tue Jun 25 2002 - hhetter@suse.de
- updated to version 2.0.1
* Wed Jun 19 2002 - ro@suse.de
- use "-a -f" for automake
* Mon Jun 10 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.117.0, source frozen
* Wed May 15 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- update to 1.114.0 [gnome2 desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
- really build and install libcanvas.so
* Thu Jan 17 2002 - hhetter@suse.de
- really prefix to /opt/gnome2
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Mon Jan 14 2002 - hhetter@suse.de
- updated to version 1.109.0
  * translation updates
* Thu Jan 10 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
